#ifndef PROJECT_TEXTURES_H
#define PROJECT_TEXTURES_H

#include <SDL/SDL.h>
#include <SDL/SDL_OpenGL.h>
#include <GL/gl.h>

enum {TGEN_EMPTY, TGEN_BALL, TGEN_VORONOI, TGEN_PALLETTE, TGEN_SINE, TGEN_POLAR, TGEN_BUMP, TGEN_LIGHT, TGEN_LANDSCAPE};
enum {TFILTER_NULL, TFILTER_BLURSUM};

typedef struct point2D
{
	float x, y;
}point2D;

GLuint GenTexture(int width, int height, int way, int dim);
GLuint GenTexture(int width, int height, int way, int dim, int filter);
GLuint GenTexture(int width, int height, unsigned int *src);

GLuint GenPalletteTexture(int size, unsigned int *cols, int iso);

#endif
